# Add files and directories to ship with the application 
# by adapting the examples below.
# file1.source = myfile
# dir1.source = mydir
DEPLOYMENTFOLDERS = # file1 dir1

symbian:TARGET.UID3 = 0xE7F316FE

# Smart Installer package's UID
# This UID is from the protected range 
# and therefore the package will fail to install if self-signed
# By default qmake uses the unprotected range value if unprotected UID is defined for the application
# and 0x2002CCCF value if protected UID is given to the application
#symbian:DEPLOYMENT.installer_header = 0x2002CCCF

# Allow network access on Symbian
symbian:TARGET.CAPABILITY += NetworkServices

# If your application uses the Qt Mobility libraries, uncomment
# the following lines and add the respective components to the 
# MOBILITY variable. 
# CONFIG += mobility
# MOBILITY +=

QT += maemo5 dbus

SOURCES += main.cpp mainwindow.cpp \
    orepreferencesform.cpp \
    oreaboutform.cpp \
    oredbus.cpp \
    oreexception.cpp \
    oregst.cpp \
    oredocumentationform.cpp \
    orefilenameform.cpp \
    orevideomonitorform.cpp \
    orecameracontrol.cpp \
    oremjpegdialog.cpp
HEADERS += mainwindow.h \
    orepreferencesform.h \
    oreaboutform.h \
    oredbus.h \
    oreexception.h \
    oregst.h \
    oredocumentationform.h \
    oreencoding.h \
    orefilenameform.h \
    orevideomonitorform.h \
    orecameracontrol.h \
    oremjpegdialog.h
FORMS += mainwindow.ui \
    orepreferencesform.ui \
    oreaboutform.ui \
    oredocumentationform.ui \
    orefilenameform.ui \
    orevideomonitorform.ui \
    oremjpegdialog.ui

# Please do not modify the following two lines. Required for deployment.
include(deployment.pri)
qtcAddDeployment()

OTHER_FILES += \
    qtc_packaging/debian_harmattan/rules \
    qtc_packaging/debian_harmattan/README \
    qtc_packaging/debian_harmattan/manifest.aegis \
    qtc_packaging/debian_harmattan/copyright \
    qtc_packaging/debian_harmattan/control \
    qtc_packaging/debian_harmattan/compat \
    qtc_packaging/debian_harmattan/changelog \
    qtc_packaging/debian_fremantle/rules \
    qtc_packaging/debian_fremantle/README \
    qtc_packaging/debian_fremantle/copyright \
    qtc_packaging/debian_fremantle/control \
    qtc_packaging/debian_fremantle/compat \
    qtc_packaging/debian_fremantle/changelog \
    doc/about.html \
    doc/documentation.html \
    COPYING \
    LICENSE.md \
    README.md \
    icons/notrecording.png \
    icons/pause.png \
    icons/play.png \
    icons/recording.png \
    icons/stop.png \
    CONTRIBUTORS

unix {
    CONFIG += link_pkgconfig
    PKGCONFIG += gstreamer-0.10 gstreamer-0.10-plugins-good gstreamer0.10-flac gstreamer-interfaces-0.10 libplayback-1 dbus-1 libosso
    LIBS += -lgstapp-0.10
}

RESOURCES += \
    OreResources.qrc
